--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local TextButton = require "src/libraries/menu/item/textbutton"
local Checkbox = TextButton:subclass("Checkbox")

-- Initialize
function Checkbox:initialize(x, y, parent)
	TextButton.initialize(self, x, y, parent)

	-- Toggle
	self.setting = "off"

	-- Text
	self.text = "NO"
end

-- Get/set
function Checkbox:getSetting() if self.setting == "on" then return true else return false end end
function Checkbox:setSetting(t)
	if t then self.setting = "on"
	else self.setting = "off" end
	local setting = false
	if self.setting == "on" then setting = true end
	self:updateText()
	self:triggerEvent("toggle", { setting = setting })
end
function Checkbox:toggle()
	if self.setting == "on" then self.setting = "off"
	else self.setting = "on" end
	local setting = false
	if self.setting == "on" then setting = true end
	self:updateText()
	self:triggerEvent("toggle", { setting = setting })
end

-- Update the text
function Checkbox:updateText()
	if self.setting == "on" then
		self.text = "YES"
	else
		self.text = "NO"
	end
end

-- Action
function Checkbox:action()
	self:toggle()
end

return Checkbox
