--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local MenuItem = require "src/libraries/menu/item/item"
local Image = MenuItem:subclass("Image")

-- Initialize
function Image:initialize(x, y, parent)
	MenuItem.initialize(self, x, y, parent)

	-- The image
	self.image = nil
end

-- Image
function Image:getImage() return self.image end
function Image:setImage(i) self.image = i end

-- Size
function Image:getWidth()
	if self.width ~= 0 then return self.width end

	if self.image then
		return self.image:getWidth()
	else
		return self.width
	end
end

function Image:getHeight()
	if self.height ~= 0 then return self.height end

	if self.image then
		return self.image:getHeight()
	else
		return self.height
	end
end

-- Draw
function Image:draw()
	if self.image then
		love.graphics.draw(self.image, self.x, self.y)
	end
end

return Image
