--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local editor = menu:addPanel(0, 0)
editor:setSize(media.images.player:getWidth() + 40, 0)

local button = editor:addScaleButton(media.images.player)
button:addEventListener("click", function(e,o,p)
	game:setEditorMode("player")
end)

local button = editor:addScaleButton(media.images.guard)
button:addEventListener("click", function(e,o,p)
	game:setEditorMode("guard")
end)

local button = editor:addScaleButton(media.images.wall)
button:addEventListener("click", function(e,o,p)
	game:setEditorMode("wall")
end)

local button = editor:addScaleButton(media.images.exit)
button:addEventListener("click", function(e,o,p)
	game:setEditorMode("exit")
end)

local label = editor:addLabel("Size:")
label:setFont(media.fonts.menu)
label:setColor(media.colors.text)

local selection = editor:addSelection({
	3, 4, 5, 6, 7, 8, 9
})
selection:setFont(media.fonts.menu)
selection:setColors(media.colors.button)
selection:addEventListener("change", function(e,o,p)
	game:createLevel(o:getCurrentOption(), o:getCurrentOption())
end)
menu:tag(selection, "level-size-selector")

editor:setLayout("vertical", 20)
local function updatePosition()
	editor:setPosition(love.graphics.getWidth() * game.scale - editor:getWidth() - 20, 20)
end

local button = editor:addImageButton(media.images.button_play_normal)
button:setPosition((editor:getWidth() - button:getWidth()) / 2, editor:getHeight() + 20)
button:setHoverImage(media.images.button_play_hover)
button:addEventListener("click", function(e,o,p)
	game:testLevel()
end)

editor:addEventListener("show", function(e,o,p)
	updatePosition()
end)
editor:hide()

return editor
