--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local panel = menu:addPanel(500, 300)
panel:setSize(600, 400)

local label = panel:addLabel("Level:")
label:setFont(media.fonts.menu)
label:setColor(media.colors.text)

local selection = panel:addSelection({"NONE"})
selection:setFont(media.fonts.menu)
selection:setColors(media.colors.button)
selection:addEventListener("change", function(e,o,p)
	panel:refresh()
end)

local function updateLevels()
	local levels = love.filesystem.enumerate("user_levels")
	if #levels > 0 then
		selection:setOptions(levels)
		panel:refresh()
	end
end

local back = panel:addImageButton(media.images.button_back_normal)
back:addEventListener("click", function(event, object, params)
	media.menus.editor_load:hide()
	media.menus.editor_pause:show()
end)
back:setHoverImage(media.images.button_back_hover)

local load = panel:addImageButton(media.images.button_load_normal)
load:addEventListener("click", function(event, object, params)
	game:loadLevel("user_levels/" .. selection:getCurrentOption())
	game.paused = false
	media.menus.editor_load:hide()
end)
load:setHoverImage(media.images.button_load_hover)

panel:setLayout("grid", 20)
panel:hide()
panel:addEventListener("show", function(e,o,p)
	updateLevels()
end)

return panel
