--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local pause = menu:addPanel(500, 300)
pause:setSize(600, 400)

local back = pause:addImageButton(media.images.button_back_normal)
back:addEventListener("click", function(event, object, params)
	media.menus.editor_pause:hide()
	game.paused = false
end)
back:setHoverImage(media.images.button_back_hover)

local save = pause:addImageButton(media.images.button_save_normal)
save:addEventListener("click", function(event, object, params)
	game:saveLevel()
end)
save:setHoverImage(media.images.button_save_hover)

local load = pause:addImageButton(media.images.button_load_normal)
load:addEventListener("click", function(event, object, params)
	media.menus.editor_load:show()
	media.menus.editor_pause:hide()
end)
load:setHoverImage(media.images.button_load_hover)

local options = pause:addImageButton(media.images.button_options_normal)
options:addEventListener("click", function(event, object, params)
	game:pushState("Options")
end)
options:setHoverImage(media.images.button_options_hover)

local exit = pause:addImageButton(media.images.button_exit_normal)
exit:addEventListener("click", function(event, object, params)
	game:popState("Editor")
end)
exit:setHoverImage(media.images.button_exit_hover)

pause:setLayout("vertical", 20)
pause:hide()

return pause
