--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local pause = menu:addPanel(500, 300)
pause:setSize(600, 400)
pause:addEventListener("escape", function(event, object, params)
	media.menus.pause:hide()
	game.paused = false
end)

local resume = pause:addImageButton(media.images.button_resumegame_normal)
resume:addEventListener("click", function(event, object, params)
	media.menus.pause:hide()
	game.paused = false
end)
resume:setHoverImage(media.images.button_resumegame_hover)

local restart = pause:addImageButton(media.images.button_restartlevel_normal)
restart:addEventListener("click", function(event, object, params)
	media.menus.pause:hide()
	game:restartLevel()
end)
restart:setHoverImage(media.images.button_restartlevel_hover)

local options = pause:addImageButton(media.images.button_options_normal)
options:addEventListener("click", function(event, object, params)
	game:pushState("Options")
end)
options:setHoverImage(media.images.button_options_hover)

local exit = pause:addImageButton(media.images.button_exit_normal)
exit:addEventListener("click", function(event, object, params)
	game:popState("Game")
end)
exit:setHoverImage(media.images.button_exit_hover)

pause:setLayout("vertical", 20)
pause:hide()

return pause
