--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local EndState = Game:addState("End")

function EndState:enteredState()
	media.menus.endgame:show()
end

function EndState:draw()
	-- Background
	local x = ((love.graphics.getWidth() * game.scale) - media.images.background:getWidth()) / 2
	local y = ((love.graphics.getHeight() * game.scale) - media.images.background:getHeight()) / 2
	love.graphics.draw(media.images.background, x, y)

	-- Title
	x = ((love.graphics.getWidth() * game.scale) - media.images.title:getWidth()) / 2
	y = media.menus.endgame.y - media.images.title:getHeight()
	love.graphics.draw(media.images.title, x, y)
end

function EndState:controlPressed(c)
	menu:keypressed(c)
end

function EndState:exitedState()
	media.menus.endgame:hide()
end
