--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local MainState = Game:addState("Main")

function MainState:enteredState()
	if media.menus then
		media.menus.main:show()
	end
	lib.music:play(media.music.menu)
end

function MainState:continuedState()
	if media.menus then
		media.menus.main:show()
	end
	lib.music:play(media.music.menu)
end

function MainState:exitedState()
	if media.menus then
		media.menus.main:hide()
	end
end

function MainState:draw()
	-- Background
	local x = ((love.graphics.getWidth() * game.scale) - media.images.background:getWidth()) / 2
	local y = ((love.graphics.getHeight() * game.scale) - media.images.background:getHeight()) / 2
	love.graphics.draw(media.images.background, x, y)

	-- Title
	x = ((love.graphics.getWidth() * game.scale) - media.images.title:getWidth()) / 2
	y = media.menus.main.y - media.images.title:getHeight()
	love.graphics.draw(media.images.title, x, y)

	-- Giant things
	x = media.menus.main.x - media.images.giant_ninja:getWidth()
	y = ((love.graphics.getHeight() * game.scale) - media.images.giant_ninja:getHeight()) / 2
	love.graphics.draw(media.images.giant_ninja, x, y)

	x = media.menus.main.x + media.menus.main.width
	y = ((love.graphics.getHeight() * game.scale) - media.images.giant_samurai:getHeight()) / 2
	love.graphics.draw(media.images.giant_samurai, x, y)

	-- Build text
	love.graphics.setFont(32)
	love.graphics.print("Build: 171", config.screenwidth - 170, love.graphics.getHeight() * game.scale - 50)
end

function MainState:controlPressed(c)
	menu:keypressed(c)
end
